// AboutTab.cpp
// 
// Implementation of the About Tab for PicMonger.  Ultra simple!

#include <string>
#include "AboutTab.h"

#ifndef PACKAGE
	#define PACKAGE "PicMonger"
#endif

#ifndef VERSION
	#define VERSION "devel"
#endif

#ifndef PKGDATADIR
	#define PKGDATADIR "/usr/local/share/PicMonger"
#endif

using std::string;

AboutTab::AboutTab()
{
	grid = manage( new Gtk::Table( 4,2, false ) );

	string title( PACKAGE );
	title += " ";
	title += VERSION;
	
	lblTitle   = manage ( new Gtk::Label( title ) );
	lblAuthors = manage ( new Gtk::Label("Author:\n\tDavid J.V. Brown\n\n(That's me with\nRacquel Darrian!)") );
	lblContact = manage ( new Gtk::Label("Contact:\n\tDrDave@users.sourceforge.net") );
	lblWebPage = manage ( new Gtk::Label("WebPage:\n\thttp://PicMonger.sourceforge.net") );
	xpmDBRD	= manage (new Gtk::Pixmap( PKGDATADIR "/db_rd.xpm") );

	set_border_width( 20 );
	add( *grid );

	grid->attach( *lblTitle, 0,2,0,1 );
	grid->attach( *lblAuthors, 0,1,1,2 );
	grid->attach( *xpmDBRD, 1,2,1,2 );
	grid->attach( *lblContact, 0,2,2,3 );
	grid->attach( *lblWebPage, 0,2,3,4 );

	show_all();
}

AboutTab::~AboutTab()	{}
