// AuthTab.h
//
// This is the tab used to set NNTP server authorization parameters.

#ifndef _AUTHTAB_H
#define _AUTHTAB_H

#include <string>
#include <gtk--/frame.h>
#include <gtk--/entry.h>
#include <gtk--/label.h>
#include <gtk--/box.h>
#include <gtk--/checkbutton.h>

using std::string;

class AuthTab : public Gtk::Frame {

	public:
		static AuthTab *Instance();
		~AuthTab();

		inline const string get_user() const { return entUser.get_text(); }
		inline const string get_pass() const { return entPass.get_text(); }
		inline const bool get_use_auth() const { return ckbUseAuth.get_active(); }

	protected: 
		static AuthTab *instance;
		AuthTab();
		
	private:

		Gtk::VBox 			boxMain;
		Gtk::HBox			boxUser, boxPass, boxCheck;
		Gtk::Label 			lblUser;
		Gtk::Label 			lblPass;
		Gtk::Entry 			entUser;
		Gtk::Entry 			entPass;
		Gtk::CheckButton 	ckbUseAuth;

};
#endif