// ErrorLogger.h
// ErrorLogger is a class mainly used for debugging.  It maintains a copy of the last
// few exchanges between NNTP server and client at all times.  If a recognized exception
// is thrown, the error message is added to the log.  The log is then written to a 
// text file and instructions are given for mailing it in with a bug report.

//	PicMonger automates retrieval, decoding, and previewing of Usenet newsgroup files.
//	Copyright (C) 1999,2000		David J.V. Brown, MD
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


#ifndef _ERROR_LOGGER_H
#define _ERROR_LOGGER_H

#include <string>
#include <list>
#include "Exceptions.h"

using std::string;
using std::list;

class ErrorLogger {

	public:
		static ErrorLogger * Instance();
		void server_said(const string& quote);
		void client_said(const string& quote);
		void dump_to_file() throw (exc::FileAccess);

	protected:
		static ErrorLogger *instance;
		ErrorLogger();

	private:
		list<string> errLog;

};

#endif