// FileTypeDialog.cpp

//	PicMonger automates retrieval, decoding, and previewing of Usenet newsgroup files.
//	Copyright (C) 1999,2000		David J.V. Brown, MD
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#include "FileTypeDialog.h"
#include <gtk--.h>
#include "Exceptions.h"
#include "FileTypeState.h"

using SigC::slot;

FileTypeDialog::FileTypeDialog()
	: 	mainBox( false, 5 ),
		lblCaption("Choose the file types\nyou'd like to download:"),
		select_JPG("JPEG images (.JPG, .jpg, .jpeg)"), 
		select_GIF("GIF images (.gif)"),
		select_MPG("MPEG movies (.mpg)"), 
		select_MOV("Quicktime movies (.mov)"),
		select_AVI("AVI movies (.avi)"), 
		select_MP3("MP3 audio (.mp3)"), 
		select_CSV("CSV files (.csv)"),
		btnOK("Set Allowed File Types")
{	
	
	
	set_border_width( 20 );
	mainBox.set_spacing( 5 );
	
	add( mainBox );

	mainBox.pack_start(lblCaption, false, false, 5);

	mainBox.pack_start(select_JPG, false, false, 2);
	mainBox.pack_start(select_GIF, false, false, 2);
	mainBox.pack_start(select_MPG, false, false, 2);
	mainBox.pack_start(select_MOV, false, false, 2);
	mainBox.pack_start(select_AVI, false, false, 2);
	mainBox.pack_start(select_MP3, false, false, 2);
	mainBox.pack_start(select_CSV, false, false, 2);

	mainBox.pack_end( btnOK, true, false, 2 );
 	btnOK.clicked.connect( slot( this, &FileTypeDialog::cbOK));
	
	p_ftState = FileTypeState::Instance();
	
	select_JPG.set_active( p_ftState->read_state_of( FT_JPG ) );
	select_GIF.set_active( p_ftState->read_state_of( FT_GIF ) );
	select_MPG.set_active( p_ftState->read_state_of( FT_MPG ) );
	select_MOV.set_active( p_ftState->read_state_of( FT_MOV ) );
	select_AVI.set_active( p_ftState->read_state_of( FT_AVI ) );
	select_MP3.set_active( p_ftState->read_state_of( FT_MP3 ) );
	select_CSV.set_active( p_ftState->read_state_of( FT_CSV ) );

	mainBox.show_all();
	
}

FileTypeDialog::~FileTypeDialog()
{
	hide_all();
}

void FileTypeDialog::cbOK()
{
	p_ftState->set_state_of( FT_JPG, select_JPG.get_active() );
	p_ftState->set_state_of( FT_GIF, select_GIF.get_active() );
	p_ftState->set_state_of( FT_MPG, select_MPG.get_active() );
	p_ftState->set_state_of( FT_MOV, select_MOV.get_active() );
	p_ftState->set_state_of( FT_AVI, select_AVI.get_active() );
	p_ftState->set_state_of( FT_MP3, select_MP3.get_active() );
	p_ftState->set_state_of( FT_CSV, select_CSV.get_active() );

	try {
		p_ftState->save_state();
	} catch ( exc::Basic& e ) {
		e.handle();
	}
}
