// FileTypeState.h

//	PicMonger automates retrieval, decoding, and previewing of Usenet newsgroup files.
//	Copyright (C) 1999,2000		David J.V. Brown, MD
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef _FILETYPESTATE_H
#define _FILETYPESTATE_H

#include <vector>
#include <string>
#include "Exceptions.h"

using std::vector;
using std::string;

enum FileTypes { FT_JPG, FT_GIF, FT_MPG, FT_MOV, FT_AVI, FT_MP3, FT_CSV };
const int FILETYPE_COUNT = 7;

class FileTypeState {

	public: 
		static FileTypeState* Instance();
		~FileTypeState();

		const bool read_state_of( FileTypes type ) const;
		void set_state_of( FileTypes type, bool state );

		void initialize();
		void save_state() throw (exc::FileAccess);
		bool restore_state();
		
		inline int size() { return settings.size(); }
		
	protected:
		FileTypeState();
		static FileTypeState *instance;
		
	private:
		vector< bool > settings;
		string statefilename;
};
#endif
