// FilenameCleaner.h
//

#ifndef _FILENAME_CLEANER_H
#define _FILENAME_CLEANER_H

#include <string>

using std::string;

class FileTypeState;
class FilenameCleaner {

	public:
		FilenameCleaner();
		~FilenameCleaner();

		void set_inbuffer(const string &inbuffer)
			{ inbuf = inbuffer;	}

		bool validate_filename( string &fn );
		
		string get_UUE_filename();
		string get_MIME_filename();

		string fix_UUE_buffer( const string& old, const string& fixed );
		string fix_MIME_buffer( const string& old, const string& fixed ); 
		
	private:
		FileTypeState *p_ftState;
		string inbuf;

		void replace_UUE_filename( const string& old, const string& fixed );
		void replace_MIME_filename( const string& old, const string& fixed );
		void fix_newlines( const string& fn );
};

#endif
