// GroupState.h

//	PicMonger automates retrieval, decoding, and previewing of Usenet newsgroup files.
//	Copyright (C) 1999,2000		David J.V. Brown, MD
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef _GROUPSTATE_H
#define _GROUPSTATE_H

#include <string>
#include "Exceptions.h"
#include <map>

using std::string;
using std::map;

typedef map< string, string, less<string> > GroupStateData;
typedef GroupStateData::value_type StatePair;

class GroupState {
	public:
		GroupState(const string& groupname, const string& max_msg_id);
		
		string get_last_message();
		void set_last_message(const string& msg_id);
		
	private:
		int max_msg;
		string group;
		string fname;

		GroupStateData state;

		void read_state();
		void save_state() throw (exc::FileAccess);
};

#endif