// MongerList.h
//
// This class manages a list of Usenet newsgroups or servers used by the PicMonger.

//	PicMonger automates retrieval, decoding, and previewing of Usenet newsgroup files.
//	Copyright (C) 1999,2000		David J.V. Brown, MD
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


#ifndef _MONGER_LIST_H
#define _MONGER_LIST_H

#include <string>
#include <list>

using namespace std;

class MongerList
{
	public:
		MongerList(const string &filename);
		~MongerList();

		void add_item(const string &item);
		void remove_item(const string &item);

		const int length() const;
		const string item();
		bool next();
		void reset();

	private:
		bool read_file();
		bool write_file();

		list<string> item_list;
		list<string>::iterator iter;

		int size;
		string fname;
};
		


#endif