// Observer.h
//
// Abstract base class supporting the Observer design pattern.  Supports multiple observed objects,
// and can be used as a mix-in interface.

//	PicMonger automates retrieval, decoding, and previewing of Usenet newsgroup files.
//	Copyright (C) 1999,2000		David J.V. Brown, MD
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


#ifndef _OBSERVER_H
#define _OBSERVER_H

class Subject;

class Observer 
{
	public:
		virtual ~Observer();
		virtual void Update(Subject* observed) = 0;			// Called by a Subject when it changes
		virtual void Warn_Detach(Subject* observed) = 0;	// Called by a Subject before it detaches
		
	protected:
		Observer();

};

#endif