// PicMonger.h
//
// This is the main app window for PicMonger

//	PicMonger automates retrieval, decoding, and previewing of Usenet newsgroup files.
//	Copyright (C) 1999,2000		David J.V. Brown, MD
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef _PICMONGER_H
#define _PICMONGER_H

#include <gtk--/window.h>
#include <gtk--/notebook.h>
#include <gtk--/box.h>
#include <gtk--/frame.h>
#include <gtk--/pixmap.h>

#include "NewsScannerView.h"
#include "FileTypeDialog.h"
#include "AboutTab.h"
#include "OptionsTab.h"
#include "AuthTab.h"

class PicMonger : public Gtk::Window
{
	public:
		PicMonger();
		~PicMonger();

	private:
		Gtk::VBox		boxMain;
		Gtk::Frame		frmLogo;
		
		Gtk::Notebook	*p_notebook;
		NewsScannerView *p_nsv;		
		FileTypeDialog	*p_filetypes;
		OptionsTab		*p_options;
		AboutTab		*p_about;
		AuthTab			*p_auth;

		Gtk::Pixmap *logo;
};

#endif