// Subject.h
//
// This is the base class for all objects to which an Observer can subscribe.

//	PicMonger automates retrieval, decoding, and previewing of Usenet newsgroup files.
//	Copyright (C) 1999,2000		David J.V. Brown, MD
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


#ifndef _SUBJECT_H
#define _SUBJECT_H

#include "Observer.h"
#include "Exceptions.h"
#include <list>

using namespace std;

class Subject 
{
	public:
		virtual ~Subject();
		virtual void Attach(Observer*) throw (exc::NullPointer);
		virtual void Detach(Observer*) throw (exc::NullPointer);
		virtual void Notify() throw (exc::NullPointer);
		
	protected:
		Subject();
		
	private:
		list<Observer*> _observers;
		list<Observer*>::iterator iObs;
				
};

#endif