// Thumbnail.h

//	PicMonger automates retrieval, decoding, and previewing of Usenet newsgroup files.
//	Copyright (C) 1999,2000		David J.V. Brown, MD
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef _THUMBNAIL_H
#define _THUMBNAIL_H

#include "imlib.h"
#include <string>

using std::string;

struct DimensionType {
	int height;
	int width;
};

class Thumbnail {

	public:
		Thumbnail( const string& _imagepath, const DimensionType& _scale_to );
		~Thumbnail() {}

		inline const int get_height() const
			{ return scaled.height; }
		inline const int get_width() const
			{ return scaled.width; }
		inline const int get_full_height() const
			{ return height; }
		inline const int get_full_width() const
			{ return width; }
			
	private:
		int height, width;
		DimensionType constraint, scaled;
		
		Gdk_Imlib::Image image;
		
};

#endif

